IdRefMapperBase (JiBX Java data binding to XML - Version 1.2.3)
Keywords: org.jibx.extras.IdRefMapperBase class

Overview | Package | Class | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jibx.extras
Class IdRefMapperBase

    java.lang.Object
      org.jibx.extras.IdRefMapperBase

All Implemented Interfaces:
  IAliasable, IMarshaller, IUnmarshaller

    public abstract class IdRefMapperBase

extends java.lang.Object
implements IMarshaller, IUnmarshaller, IAliasable

Abstract base custom marshaller/unmarshaller for an object reference. This marshals the reference as an empty element with a single IDREF attribute, and unmarshals an element with the same structure to create a reference to the object with that ID value. To use this class you need to create a subclass with a constructor using the same signature as the one provided (calling the base class constructor from your subclass constructor) and implement the abstract `getIdValue(java.lang.Object)` method in your subclass. You can also override the provided `getAttributeName()` method to change the name used for the IDREF attribute. Note that this class can only be used when the definitions precede the references in the XML document; if a referenced ID is not defined the unmarshaller throws an exception.

Author:
  Dennis M. Sosnoski

Constructor Summary
`IdRefMapperBase(java.lang.String uri, int index, java.lang.String name)` Aliased constructor taking a name definition for the element.

Method Summary
`boolean` | `isExtension(java.lang.String mapname)` Check if marshaller represents an extension mapping.
`boolean` | `isPresent(IUnmarshallingContext ctx)` Check if instance present in XML.
`void` | `marshal(java.lang.Object obj, IMarshallingContext ictx)` Marshal instance of handled class.
`java.lang.Object` | `unmarshal(java.lang.Object obj, IUnmarshallingContext ictx)` Unmarshal instance of handled class.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdRefMapperBase

    public IdRefMapperBase(java.lang.String uri,
                           int index,
                           java.lang.String name)

  Aliased constructor taking a name definition for the element. The subclass version will be used by JiBX to define the element name to be used with this custom marshaller/unmarshaller.

  Parameters:
    `uri` - namespace URI for the top-level element
    `index` - namespace index corresponding to the defined URI within the marshalling context definitions
    `name` - local name for the top-level element

Method Detail

### isExtension

    public boolean isExtension(java.lang.String mapname)

  Description copied from interface: `IMarshaller`
  Check if marshaller represents an extension mapping. This is used by the framework in generated code to verify compatibility of objects being marshalled using an abstract mapping.

  Specified by:
    `isExtension` in interface `IMarshaller`
  Parameters:
    `mapname` - marshaller mapping name (generally the class name to be handled, or abstract mapping type name)
  Returns:
    `true` if this mapping is an extension of the abstract mapping, `false` if not

### marshal

    public void marshal(java.lang.Object obj,
                        IMarshallingContext ictx)
                 throws JiBXException

  Description copied from interface: `IMarshaller`
  Marshal instance of handled class. This method call is responsible for all handling of the marshalling of an object to XML text. It is called at the point where the start tag for the associated element should be generated.

  Specified by:
    `marshal` in interface `IMarshaller`
  Parameters:
    `obj` - object to be marshalled (may be `null` if property is not optional)
    `ictx` - XML text output context
  Throws:
    `JiBXException` - on error in marshalling process

### isPresent

    public boolean isPresent(IUnmarshallingContext ctx)
                      throws JiBXException

  Description copied from interface: `IUnmarshaller`
  Check if instance present in XML. This method can be called when the unmarshalling context is positioned at or just before the start of the data corresponding to an instance of this mapping. It verifies that the expected data is present.

  Specified by:
    `isPresent` in interface `IUnmarshaller`
  Parameters:
    `ctx` - unmarshalling context
  Returns:
    `true` if expected parse data found, `false` if not
  Throws:
    `JiBXException` - on error in unmarshalling process

### unmarshal

    public java.lang.Object unmarshal(java.lang.Object obj,
                                      IUnmarshallingContext ictx)
                               throws JiBXException

  Description copied from interface: `IUnmarshaller`
  Unmarshal instance of handled class. This method call is responsible for all handling of the unmarshalling of an object from XML text, including creating the instance of the handled class if an instance is not supplied. When it is called the unmarshalling context is always positioned at or just before the start tag corresponding to the start of the class data.

  Specified by:
    `unmarshal` in interface `IUnmarshaller`
  Parameters:
    `obj` - object to be unmarshalled (may be `null`)
    `ictx` - unmarshalling context
  Returns:
    unmarshalled object (may be `null`)
  Throws:
    `JiBXException` - on error in unmarshalling process

Overview | Package | Class | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project Web Site |